## ros-galactic-turtlebot3-bringup 2.1.2

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_bringup)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

################################################################################
# Find ament packages and libraries for ament and system dependencies
################################################################################
find_package(ament_cmake REQUIRED)

################################################################################
# Install
################################################################################
install(
  DIRECTORY launch param
  DESTINATION share/${PROJECT_NAME}
)

################################################################################
# Macro for ament package
################################################################################
ament_package()

=== debian/changelog ===
ros-galactic-turtlebot3-bringup (2.1.2-2focal) focal; urgency=high

  * rename and update nav2 params
  * modify robot_state_publisher
  * Contributors: David Park, Ashe Kim, Will Son

 -- Will Son <willson@robotis.com>  Wed, 16 Jun 2021 15:00:00 -0000

ros-galactic-turtlebot3-bringup (2.1.1-2focal) focal; urgency=high

  * turtlebot3.repos updated to target correct distro
  * galactic-devel branch created
  * Eloquent EOL
  * Contributors: Ashe Kim, Will Son

 -- Will Son <willson@robotis.com>  Tue, 05 Jan 2021 15:00:00 -0000

ros-galactic-turtlebot3-bringup (2.1.0-2focal) focal; urgency=high

  * ROS 2 Foxy Fitzroy supported
  * ROS 2 Eloquent Elusor supported
  * Contributors: Ryan, Ashe

 -- Will Son <willson@robotis.com>  Sun, 21 Jun 2020 15:00:00 -0000

ros-galactic-turtlebot3-bringup (2.0.1-2focal) focal; urgency=high

  * Updated the CHANGELOG and version to release binary packages
  * Modified dependency packages
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-galactic-turtlebot3-bringup (2.0.0-2focal) focal; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Fixed ROS2 dependencies and library install #454 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/454>
  * Contributors: Emerson Knapp, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-galactic-turtlebot3-bringup (1.2.2-2focal) focal; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-galactic-turtlebot3-bringup (1.2.1-2focal) focal; urgency=high

  * Added turtlebot3_remote.launch to turtlebot3_model.launch #389 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/389>
  * Contributors: Jonathan Hechtbauer, Gilbert

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-galactic-turtlebot3-bringup (1.2.0-2focal) focal; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-galactic-turtlebot3-bringup (1.1.0-2focal) focal; urgency=high

  * added bringup to load multiple robot simply #251
  * added argument about namespace
  * updated turtlebot3_diagnostic node
  * updated firmware version from 1.2.0 to 1.2.2
  * updated get firmware version
  * updated version check function
  * updated warn msg for version check
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-galactic-turtlebot3-bringup (1.0.0-2focal) focal; urgency=high

  * added variable to check version only once
  * modified firmware version
  * modified global names #211 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/211> from FurqanHabibi/fix_global_topic_name
  * modified turtlebot3_rpicamera.yaml gets camera_info_url value from the initialized calibration file
  * deleted count version info msg
  * merged pull request #220 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/220> #212 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/212> #200 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/200> #156 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/156> #154 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/154> #153 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/153> #150 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/150> #147 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/147> #146 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/146>
  * Contributors: Darby Lim, Leon Jung, Muhammad Furqan Habibi, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-galactic-turtlebot3-bringup (0.2.1-2focal) focal; urgency=high

  * refactoring for release
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-galactic-turtlebot3-bringup (0.2.0-2focal) focal; urgency=high

  * refactoring for release
  * updated firmware version
  * modified param config
  * added turtlebot3_rpicamera.launch for raspberry pi camera
  * added waffle pi model
  * added verion check function
  * added diagnostics node
  * added scripts for reload rules
  * Contributors: Darby Lim, Gilbert, Leon Jung, Pyo

 -- Will Son <willson@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-galactic-turtlebot3-bringup (0.1.6-2focal) focal; urgency=high

  * updated model.launch
  * fixed typo
  * fixed xacro.py deprecation
  * modified file location
  * Contributors: Darby Lim, Hunter L. Allen

 -- Will Son <willson@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-galactic-turtlebot3-bringup (0.1.5-2focal) focal; urgency=high

  * changed the node name from hlds_laser_publisher to turtlebot3_lds
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Wed, 24 May 2017 15:00:00 -0000

ros-galactic-turtlebot3-bringup (0.1.4-2focal) focal; urgency=high

  * modified launch file name
  * added teleop package
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-galactic-turtlebot3-bringup (0.1.3-2focal) focal; urgency=high

  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-galactic-turtlebot3-bringup
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: http://turtlebot3.robotis.com
Standards-Version: 3.9.2

Package: ros-galactic-turtlebot3-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-hls-lfcd-lds-driver, ros-galactic-robot-state-publisher, ros-galactic-rviz2, ros-galactic-turtlebot3-description, ros-galactic-turtlebot3-node, ros-galactic-ros-workspace
Description: ROS 2 launch scripts for starting the TurtleBot3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-turtlebot3-bringup//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
